# n!

**n!** is shell powered note taking tool. Notes are stored locally in `$HOME/.local/nexclamation/notes` by default as plain text.

**n!** depends on Bash, GNU coreutils, find, sed, awk. Usually these programs are already installed on most Linux distros.

# Installation

```
make install
```

Uninstall by:

```
make uninstall
```

# Usage

```
Usage: n! [-v|--version] [-h|--help] [<command>] [<args>...]

Commands and options:
    q, quick [<name>]       take a quick note in current directory.
    s, search <query>       search in notes via grep.
    l, last                 open last opened file in editor.
    mkdir <dir>             add new directory. Creates new dir in NPATH.
    ls [<dir>]              list all notes, or notes from <dir> in NPATH.
    lsd                     list dirs in NPATH (empty dirs too).
    rm [-f|--force] <file>  remove notes or directories.
    i, info [<file>]        print info about notes and configuration.
    -h, --help              print this help message and exit.
    -v, --version           print version and exit.

Examples:

Take a new note or open existing note:
    n! [<note>]
Take new note in 'work' directory:
    n! work/my_note

Environment:

n! uses user's default editor. You can specify editor in EDITOR environment
variable in your .bashrc or .bash_profile, or select default editor by 'select-editor'
command.

Also you can set specific editor for nexclamation in ~/.nexclamation file. For example:
    NEDITOR=/usr/bin/vim.tiny

Other configuration options:
    NPATH           path to save notes. Default: /home/gd/.local/share/nexclamation/notes
    NQNOTENAME      default file name for quick notes. Default: NOTE
```

To create new note just run `n!` or:

```
n! note.md
```
